Subject: [BK PATCH] USB changes for 2.4.20-pre8
From: Greg KH <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]

Hi,

Here are some USB updates for 2.4.20-pre8.

Please pull from:  bk://linuxusb.bkbits.net/marcelo-2.4

The individual patches will be sent in follow up messages to this email.

thanks,

greg k-h

 drivers/usb/hcd.c                  |   94 +++--
 drivers/usb/hcd.h                  |    1 
 drivers/usb/hcd/ehci-dbg.c         |  525 +++++++++++++++++++++++++++---
 drivers/usb/hcd/ehci-hcd.c         |  512 ++++++++++++++++++++++--------
 drivers/usb/hcd/ehci-hub.c         |   16 
 drivers/usb/hcd/ehci-q.c           |  575 ++++++++++++++++++---------------
 drivers/usb/hcd/ehci-sched.c       |  630 +++++++++++++++----------------------
 drivers/usb/hcd/ehci.h             |   87 ++++-
 drivers/usb/hpusbscsi.c            |   31 -
 drivers/usb/kaweth.c               |   27 -
 drivers/usb/serial/visor.c         |    6 
 drivers/usb/serial/visor.h         |    1 
 drivers/usb/storage/sddr55.c       |    2 
 drivers/usb/storage/unusual_devs.h |   15 
 14 files changed, 1603 insertions(+), 919 deletions(-)
-----

[email-masked], 2002-09-30 10:38:00-07:00, [email-masked]
  USB: added Palm Zire support to the visor driver
  
  thanks to Martin Brachtl for the information.

 drivers/usb/serial/visor.c |    6 ++++--
 drivers/usb/serial/visor.h |    1 +
 2 files changed, 5 insertions(+), 2 deletions(-)
------

[email-masked], 2002-09-26 22:44:15-07:00, [email-masked]
  [PATCH] USB 2.0 HDD Walker / ST-HW-818SLIM usb-storage fix

 drivers/usb/storage/unusual_devs.h |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)
------

[email-masked], 2002-09-26 22:43:37-07:00, [email-masked]
  [PATCH] fix compares of jiffies
  
  on rechecking the current stable kernel code, I found some places where jiffies
  were compared in a way that seems to break when they wrap. For these,
  I made up patches to use the macros "time_before()" or "time_after()"
  that are supposed to handle wraparound correctly.

 drivers/usb/storage/sddr55.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)
------

[email-masked], 2002-09-26 22:42:59-07:00, [email-masked]
  [PATCH] Update for JMTek USBDrive
  
  Attached is a patch against the 2.4.19 linux kernel. It adds an entry
  for another version of the JMTek USBDrive (driverless), and also updates
  my email address.

 drivers/usb/storage/unusual_devs.h |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)
------

[email-masked], 2002-09-26 22:42:30-07:00, [email-masked]
  [PATCH] USB: fixes for kaweth
  
  this fixes a few SMP locking issues for kaweth.

 drivers/usb/kaweth.c |   27 +++++++++++++++++----------
 1 files changed, 17 insertions(+), 10 deletions(-)
------

[email-masked], 2002-09-26 22:41:50-07:00, [email-masked]
  [PATCH] USB: update of hpusbscsi
  
  this fixes an unplugging problem and an SMP deadlock.

 drivers/usb/hpusbscsi.c |   31 +++++++++++++++++--------------
 1 files changed, 17 insertions(+), 14 deletions(-)
------

[email-masked], 2002-09-26 22:41:18-07:00, [email-masked]
  [PATCH] EHCI matching 2.5.38bk3
  
  This basically brings the 2.4 code into sync with the current
  2.5 code.  There've been a number of bugfixes and other changes,
  code cleanup and so on, so I'll just summarize some of the
  functional changes:
  
    - Fixes races and other qh unlink problems
  
    - Copes with rude eject from cardbus
  
    - Supports USB 1.1 interrupt transactions
      through USB 2.0 hubs
  
    - Should work with VIA VT8235 (KT333/KT400)
  
    - Filed down a lot of rough ends

 drivers/usb/hcd/ehci-dbg.c   |  525 +++++++++++++++++++++++++++++++----
 drivers/usb/hcd/ehci-hcd.c   |  512 +++++++++++++++++++++++++---------
 drivers/usb/hcd/ehci-hub.c   |   16 -
 drivers/usb/hcd/ehci-q.c     |  575 +++++++++++++++++++++------------------
 drivers/usb/hcd/ehci-sched.c |  630 +++++++++++++++++--------------------------
 drivers/usb/hcd/ehci.h       |   87 +++++
 6 files changed, 1495 insertions(+), 850 deletions(-)
------

[email-masked], 2002-09-26 22:40:46-07:00, [email-masked]
  [PATCH] Re: [PATCH 2.4.20-pre7 1 of 2] usbcore/hcd updates
  
  Here's the first of those two patches, to usbcore's "hcd" glue:
  
   - removes something I left in pre7 to simplify these patches.
   - does pci map/unmap for the hardware-aware layer
   - knows that none fault mode is no longer allowed

 drivers/usb/hcd.c |   94 ++++++++++++++++++++++++++++++++----------------------
 drivers/usb/hcd.h |    1 
 2 files changed, 57 insertions(+), 38 deletions(-)
------